# Interface BeanContextServiceProviderBeanInfo

All Superinterfaces:
  `BeanInfo`

@Deprecated(since="23", forRemoval=true) public interface BeanContextServiceProviderBeanInfo extends BeanInfo
Deprecated, for removal: This API element is subject to removal in a future version.
A BeanContextServiceProvider implementor who wishes to provide explicit information about the services their bean may provide shall implement a BeanInfo class that implements this BeanInfo subinterface and provides explicit information about the methods, properties, events, etc, of their services.

- ## Field Summary

  ### Fields declared in interface BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanInfo[]`
  `getServicesBeanInfo()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.

  ### Methods declared in interface BeanInfo

  `getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

- ## Method Details

  - ### getServicesBeanInfo

    BeanInfo[] getServicesBeanInfo()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets a `BeanInfo` array, one for each service class or interface statically available from this ServiceProvider.
    Returns:
      the `BeanInfo` array